Package org.pentaho.reporting.libraries.formula.function.text

# Class MidFunction

java.lang.Object
org.pentaho.reporting.libraries.formula.function.text.MidFunction

All Implemented Interfaces:
  `Serializable`, `Function`

public class MidFunction extends Object implements Function
This function returns extracted text, given an original text, starting position, and length.

Author:
  Cedric Pronzato
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MidFunction()`

## Method Summary

Modifier and Type
Method
Description
`TypeValuePair`
`evaluate(FormulaContext context, ParameterCallback parameters)`
`String`
`getCanonicalName()`
`static String`
`process(String text, int start, int lengthValue)`
Computes the substring for the given text, using the 1-based start index and the given length.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MidFunction

public MidFunction()

## Method Details

### evaluate

public TypeValuePair evaluate(FormulaContext context, ParameterCallback parameters) throws EvaluationException

Specified by:
  `evaluate` in interface `Function`
Throws:
  `EvaluationException`

### process

public static String process(String text, int start, int lengthValue)
Computes the substring for the given text, using the 1-based start index and the given length.

Parameters:
  `text` -
  `start` -
  `lengthValue` -
Returns:

### getCanonicalName

public String getCanonicalName()

Specified by:
  `getCanonicalName` in interface `Function`